using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Data.SqlServerCe;
using System.Data;

namespace WpfRibbonApplication1
{
    /// <summary>
    /// Interaction logic for allcontacts.xaml
    /// </summary>
    public partial class allcontacts : Window
    {
        public allcontacts()
        {
            InitializeComponent();
            SqlCeConnection con = new SqlCeConnection(@"Data Source=|DataDirectory|\dddd.sdf");
            
            DataSet ds = new DataSet();
            SqlCeDataAdapter da = new SqlCeDataAdapter("Select * from ddd", con);
            da.Fill(ds, "all");
            dataGrid1.DataContext = ds;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            this.Close();

        }
    }
}
